## rt-extension-commandbymail 3.01

=== debian/changelog ===
rt-extension-commandbymail (3.01-6) unstable; urgency=medium

  * Update standards version: 4.7.2 (no changes).
  * Update d/copyright. 
  * Drop support for request-tracker4.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Sun, 16 Mar 2025 14:26:17 +1300

rt-extension-commandbymail (3.01-5) unstable; urgency=medium

  * Bump standards version: 4.7.0 (no changes).
  * Update d/copyright. 
  * Generate HTML docs and register with doc-base. 
  * Upload to unstable.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Sun, 11 Aug 2024 18:12:20 +1200

rt-extension-commandbymail (3.01-4) experimental; urgency=medium

  * Ensure we can build source after successful build.
  * Reintroduce support for request-tracker4, as we still have it in
    Trixie.
  * Drop the -common package.
  * Enable autopkgtests.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Tue, 31 Oct 2023 22:11:37 +1300

rt-extension-commandbymail (3.01-3) experimental; urgency=medium

  * Update build dependency on libmodule-install-rtx-perl.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Mon, 06 Mar 2023 00:32:18 +1300

rt-extension-commandbymail (3.01-2) experimental; urgency=medium

  * Bump standards version: 4.6.2.
  * Update d/copyright

 -- Andrew Ruthven <andrew@etc.gen.nz>  Mon, 06 Mar 2023 00:26:25 +1300

rt-extension-commandbymail (3.01-1) experimental; urgency=medium

  [ Andrew Ruthven ]
  * New upstream version.
  * Transfer package to Request Tracker Team, thank you Tollef for your
    work on this package over the years.
  * Update d/control (Closes: #1031572).
  * Rename to match team extension naming standard.
  * Bump compat to 13.
  * Bump standards version: 4.5.1.
  * Add d/watch, d/source/format and d/upstream/metadata files (Closes: #1007549).
  * Update d/copyright file to be machine readable.
  * Build for both RT4 and RT5.
  * Add README.Debian files with Debianized configuration instructions.
  * No need to deploy a patch file for RT 4.4.0.
  * Fix a typo in the POD - fix-pod-spelling.patch.
  * Add myself and Dominic Hargreaves to Uploaders.
  * Update build dependencies.

  [ Dominic Hargreaves ]
  * Add Replaces/Breaks on -common package too
  * Drop support for request-tracker4

 -- Dominic Hargreaves <dom@earth.li>  Sat, 27 Feb 2021 12:57:52 +0000

librt-extension-commandbymail-perl (3.00-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 02:21:36 +0100

librt-extension-commandbymail-perl (3.00-1) unstable; urgency=medium

  * New upstream version.
  * Add build-depends on libmodule-install-perl and request-tracker4
  * Bump dh compat version.
    - Remove all hacks from debian/rules, this just works now.
  * Ship upstream README file with installation instructions.

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 30 Jul 2017 09:59:51 +0200

librt-extension-commandbymail-perl (0.10-3) unstable; urgency=low

  * Add support for not looking for commands in bodies.

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 22 Jul 2013 19:35:58 +0200

librt-extension-commandbymail-perl (0.10-2) unstable; urgency=low

  * Use tfheen's patch to grab commands from headers too.
  * Switch to dh and use debhelper 9

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 24 Jun 2013 09:50:09 +0200

librt-extension-commandbymail-perl (0.10-1) UNRELEASED; urgency=low

  * New upstream release

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 12 Jul 2012 08:45:36 +0200

librt-extension-commandbymail-perl (0.07-1) unstable; urgency=low

  * New upstream release
  * Update build-depends to be on libmime-tools-perl
  * Update paths for rt 3.8

 -- Tollef Fog Heen <tfheen@varnish-software.com>  Mon, 08 Feb 2010 15:05:20 +0100

librt-extension-commandbymail-perl (0.06-1) unstable; urgency=low

  * New upstream release

 -- Tollef Fog Heen <tfheen@jalfrezi.collabora.co.uk>  Wed, 15 Apr 2009 19:32:37 +0100

librt-extension-commandbymail-perl (0.05-1) unstable; urgency=low

  * Initial release (Closes: #415701)

 -- Matthew Johnson <debian@matthew.ath.cx>  Thu, 22 Mar 2007 21:44:31 +0000
