=== debian/control ===
Source: rt-extension-commandbymail
Maintainer: Debian Request Tracker Group <pkg-request-tracker-maintainers@lists.alioth.debian.org>
Uploaders: Andrew Ruthven <andrew@etc.gen.nz>,
    Dominic Hargreaves <dom@earth.li>,
Section: perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libuniversal-require-perl <!nocheck>,
 libmime-tools-perl (>= 5.420) <!nocheck>,
 perl,
 libmodule-install-authortests-perl,
 libmodule-install-substitute-perl,
 libmodule-install-rtx-perl (>= 0.42-1~)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/request-tracker-team/rt-extension-commandbymail
Vcs-Git: https://salsa.debian.org/request-tracker-team/rt-extension-commandbymail.git
Homepage: https://metacpan.org/release/RT-Extension-CommandByMail
Rules-Requires-Root: no

Package: rt5-extension-commandbymail
Architecture: all
Breaks: librt-extension-commandbymail-perl (<< 3.01-4~)
Depends: ${perl:Depends}, ${misc:Depends},
 libuniversal-require-perl,
 libmime-tools-perl (>= 5.420),
 request-tracker5
Description: Issue status and other commands by email for Request Tracker 5
 CommandByMail allows commands to be sent to Request Tracker 5
 in emails. These are similar to those used by debbugs and allow
 tickets to be closed, reassigned, moved between queues and other
 commands.
