=== debian/rules ===
#!/usr/bin/make -f

RT_VERSIONS=5
BASE=extension-commandbymail

%:
	dh $@

override_dh_auto_configure:
	mkdir -p bak
	mv inc bak
	find . -name '*.in' -print | egrep -v '\.pc|\.\/debian' | sed -e 's/\.in$$//' | while read f; do mkdir -p bak/`dirname $$f`; mv -v $$f bak/$$f; done
	for f in README META.yml; do cp -pr $$f bak; done
	# Skip RT::Interface::Email::Filter::TakeAction as it is only used for RT 4.2 and earlier.
	for f in lib/RT/Interface/Email/Filter/TakeAction.pm; do mkdir -p bak/`dirname $$f`; mv -v $$f bak/$$f; done
	for ver in $(RT_VERSIONS); do \
	 RTHOME=/usr/share/request-tracker$$ver INSTALLDIRS=vendor perl Makefile.PL INSTALLDIRS=vendor; \
	 mv Makefile Makefile$$ver; \
	done

override_dh_auto_build:

override_dh_auto_test:

override_dh_auto_install:
	for ver in $(RT_VERSIONS); do \
	 pod2html lib/RT/Extension/CommandByMail.pm > README.html; \
	 ln -sf Makefile$$ver Makefile; \
	 export PERL_INSTALL_ROOT=$(CURDIR)/debian/rt$$ver-$(BASE); \
	 make install; \
	 for f in debian/rt$$ver-$(BASE)/usr/share/man/man3/*.3pm; do mv $$f `echo $$f | sed "s/\.3pm/-$$ver.3pm/"`; done; \
	 rm -rf debian/rt$$ver-$(BASE)/usr/share/request-tracker$$ver/plugins/RT-Extension-CommandByMail/lib/RT/Extension/CommandByMail; \
        done

override_dh_auto_clean:
	dh_auto_clean

	# Restore shipped generated files
	find bak -type f -print | sed -e 's/^bak\///' | while read f; do mkdir -p $$(dirname $$f); mv bak/$$f $$f; done
	rm -rf bak

	rm -rf MYMETA.yml MYMETA.json
	for ver in $(RT_VERSIONS); do \
	 rm -f Makefile$$ver; \
        done
