=== debian/watch ===
version=4
https://metacpan.org/release/RT-Extension-CommandByMail   .*/RT-Extension-CommandByMail-v?@ANY_VERSION@@ARCHIVE_EXT@$
